Remove a representative | Moov Documentation

Remove a representative

Deletes a business representative associated with a Moov account. Read our business representatives guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/representatives.write scope.

DELETE

/accounts/{accountID}/representatives/{representativeID}

Ask

curl -X DELETE "https://api.moov.io/accounts/{accountID}/representatives/{representativeID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

mc, _ := moov.NewClient()

var accountID string
var representativeID string

mc.DeleteRepresentative(ctx, accountID, representativeID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.representatives.delete({
    accountID: "23b950c7-3ccf-4edc-9566-07f765d57c73",
    representativeID: "74d0f56b-b81b-467a-bc86-47a55fe5e503",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->representatives->delete(
    accountID: '23b950c7-3ccf-4edc-9566-07f765d57c73',
    representativeID: '74d0f56b-b81b-467a-bc86-47a55fe5e503'
);

if ($response->statusCode === 200) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.DeleteRepresentativeResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws GenericError, Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

DeleteRepresentativeResponse res = sdk.representatives().delete()
                .accountID("23b950c7-3ccf-4edc-9566-07f765d57c73")
                .representativeID("74d0f56b-b81b-467a-bc86-47a55fe5e503")
                .call();

// handle response
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.representatives.delete(account_id="23b950c7-3ccf-4edc-9566-07f765d57c73", representative_id="74d0f56b-b81b-467a-bc86-47a55fe5e503")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.representatives.delete(account_id: '23b950c7-3ccf-4edc-9566-07f765d57c73', representative_id: '74d0f56b-b81b-467a-bc86-47a55fe5e503')

if res.status_code == 200
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Representatives.DeleteAsync(
    accountID: "23b950c7-3ccf-4edc-9566-07f765d57c73",
    representativeID: "74d0f56b-b81b-467a-bc86-47a55fe5e503"
);

// handle response

The request completed successfully, but there is no content to return.